package com.gyee.wisdom.dao.sql.pv_inverter.repsoitory;

import com.gyee.wisdom.dao.sql.pv_inverter.entity.InverterEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @descrition:光伏逆变器
 * @author:WXW
 * @date:2020-04-28
 */
@Repository
public interface InverterRepository extends JpaRepository<InverterEntity,String>,JpaSpecificationExecutor {
    List<InverterEntity> findByStation(String station);
    List<InverterEntity> findByLine(String line);
    List<InverterEntity> findByProject(String project);
    List<InverterEntity> findByModel(String model);
    List<InverterEntity> findByStationAndModel(String station,String model);
}
